# Function InvertedTunnelFactory

- InvertedTunnelFactory(
  color:
  | number
  | IndexedCollection
  | [number, number, number]
  | [number, number, number, number],
  ): typeof InvertedTunnelBase

  Providing a noise texture is required for this drawable.

  #### Parameters

  - color:
    | number
    | IndexedCollection
    | [number, number, number]
    | [number, number, number, number]

  #### Returns typeof InvertedTunnelBase

  - Defined in drawables/shapes/inverted-tunnel-factory.ts:27